Home | All Classes | Grouped Classes | Index | Search

# Class CL_SoundProviderFactory

Sound Provider Factor class. More...

Derived from: none
Derived by: none
Group: Sound (Sound Providers)

#include <ClanLib/sound.h>

Attributes:

types static | Map of the class factories for each sound provider type.

Operations:

load | Loads an sample file from 'filename', using the provider identified by 'type'.

Detailed description:

!group=Sound/Sound Providers! !header=sound.h!
Questions or comments, write to the ClanLib mailing list.